import 'dotenv/config';
import { createLog } from './log';
import type { Logger } from 'winston';
import { Templates } from './templates';
import { Database } from 'sqlite3';

class Build {
	private log : Logger;
	private tmpl : Templates;
	constructor () {
		this.log = createLog('build');
		this.log.info(`Building site: ${new Date()}`);
		this.tmpl = new Templates();
		this.main();
	}

	private async main () {
		this.tmpl.build();
	}
}

new Build();